%define	major		0
%define	libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Summary:	Docks any application into the system tray
Name:		alltray
Version:	0.71b
Release:	%mkrel 4
Group:		Graphical desktop/Other
License:	GPLv2+
Url:		http://alltray.trausch.us/
Source0:	http://launchpad.net/alltray/old-maintenance/%{version}/+download/%{name}-%{version}.tar.gz
Patch0:		alltray-0.71a-fix_linking.patch
BuildRequires:	gtk+2-devel
BuildRequires:  GConf2
BuildRequires:  libGConf2-devel

%description
With AllTray you can dock any application with no native tray icon
(like Evolution, Thunderbird, Terminals) into the system tray.
A high-light feature is that a click on the "close" button
will minimize back to system tray. It works well with Gnome,
KDE, XFCE 4*, Fluxbox* and WindowMaker*.

  *no drag 'n drop support. Enable with "-nm" option.

%package -n	%{libname}
Summary:	Shared library for alltray
Group:		System/Libraries

%description -n	%{libname}
Shared library for alltray.

%package -n %{develname}
Summary:	Development libraries for alltray
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development libraries for alltray.

%prep
%setup -q
%patch0 -p0

#fix .desktop file
sed -i -e 's|%{name}.png|%{name}|' -e 's|Application;|GTK;|' %{name}.desktop

%build
%configure2_5x
%make
 
%install
rm -rf %{buildroot}
%makeinstall_std

#we don't want this
rm -rf %{buildroot}%{_libdir}/liballtray.la

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/%{name}.1*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/liballtray.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/liballtray.so


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.71b-4.mga4
+ Revision: 502477
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.71b-3.mga3
+ Revision: 345513
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Feb 18 2011 wally <wally> 0.71b-2.mga1
+ Revision: 53941
- remove epoch and buildroot definition
- fix license and description
- drop old provides/obsoletes/requires
- clean .spec a bit
- imported package alltray


* Mon Nov 15 2010 Jani Välimaa <wally@mandriva.org> 0:0.71b-1mdv2011.0
+ Revision: 597826
- new version 0.71b

* Mon Oct 25 2010 Jani Välimaa <wally@mandriva.org> 0:0.71a-2mdv2011.0
+ Revision: 589344
- fix .desktop file

* Mon Oct 25 2010 Jani Välimaa <wally@mandriva.org> 0:0.71a-1mdv2011.0
+ Revision: 589338
- new version 0.71a
- rediff and rename patch
- fix url, source and description
- get rid of .la files
- remove support for old (2008.1 and earlier) mdv releases

* Fri Feb 19 2010 Funda Wang <fwang@mandriva.org> 0:0.70-4mdv2010.1
+ Revision: 508076
- fix link

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Dec 31 2007 David Walluck <walluck@mandriva.org> 0:0.70-1mdv2008.1
+ Revision: 139931
- add sources
- 0.70
- fix Conflicts on x86-64

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

  + Pascal Terjan <pterjan@mandriva.org>
    - Fix obsoleting of old -devel on x86_64

* Wed Aug 15 2007 Pascal Terjan <pterjan@mandriva.org> 0:0.69-1mdv2008.0
+ Revision: 63756
- BuildRequires libGConf2-devel
- 0.69
- new devel policy
- move .la to -devel (it is not versionned and should not be needed outside -devel)


* Tue Jul 11 2006 Lenny Cartier <lenny@mandriva.com> 0:0.66-3mdv2007.0
- rebuild

* Thu Apr 27 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.66-2mdk
- Fix BuildRequires

* Thu Apr 27 2006 David Walluck <walluck@mandriva.org> 0:0.66-1mdk
- 0.66

* Sat Dec 10 2005 David Walluck <walluck@mandriva.org> 0.65-1mdk
- 0.65
- use %%configure
- provide %%{_lib}alltray{,-devel}

* Thu Jul 14 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.60-1mdk
- 0.60
- src.rpm got lost, redid the whole package!

* Tue Apr 19 2005 David Walluck <walluck@mandriva.org> 0.50-1mdk
- 0.50

* Thu Feb 24 2005 David Walluck <walluck@mandrake.org> 0.40-1mdk
- release

